POST
/groups/membersList group members
Lists members of a workspace group, returning full user objects. Supply groupId to select the group, and use query to filter the list. Use cursor or beforeCursor to navigate between pages.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The group identifier and optional filters and pagination options for the member list.
groupIdstringrequired
ID of the group.
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated list of full user objects for the group members.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user is not permitted to access the group members.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when the authenticated user is not permitted to access the group members. groupId must be a UUID, and limit must be between 1 and 100; it defaults to 20 when omitted. Use cursor or beforeCursor with the corresponding cursor from a previous response to navigate pages.